Groovy 1.7.10

## groovy.lang
[Java] Class GroovyClassLoader.InnerLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  groovy.lang.GroovyClassLoader
                      groovy.lang.GroovyClassLoader.InnerLoader

    public static class GroovyClassLoader.InnerLoader
    extends GroovyClassLoader

Field Summary

Fields inherited from class GroovyClassLoader
classCache, sourceCache

Constructor Summary
`GroovyClassLoader.InnerLoader(GroovyClassLoader delegate)`

Method Summary
`void` | `addClasspath(String path)`
`void` | `addURL(URL url)`
`void` | `clearCache()`
`URL` | `findResource(String name)`
`Enumeration` | `findResources(String name)`
`Class[]` | `getLoadedClasses()`
`URL` | `getResource(String name)`
`InputStream` | `getResourceAsStream(String name)`
`GroovyResourceLoader` | `getResourceLoader()`
`long` | `getTimeStamp()`
`URL[]` | `getURLs()`
`Class` | `loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)`
`Class` | `parseClass(GroovyCodeSource codeSource, boolean shouldCache)`
`void` | `setResourceLoader(GroovyResourceLoader resourceLoader)`

Methods inherited from class GroovyClassLoader

addClasspath, addURL, clearCache, createCollector, createCompilationUnit, defineClass, defineClass, defineClass, defineClass, expandClassPath, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getPermissions, getResourceLoader, getTimeStamp, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, loadClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, setClassCacheEntry, setResourceLoader, setShouldRecompile

Methods inherited from class URLClassLoader

newInstance, newInstance, findResource, findResources, close, getURLs, loadClass, getSystemClassLoader, getResource, getResourceAsStream, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class SecureClassLoader
loadClass, getSystemClassLoader, getResource, getResourceAsStream, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class ClassLoader
loadClass, getSystemClassLoader, getResource, getResourceAsStream, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyClassLoader.InnerLoader

    public GroovyClassLoader.InnerLoader(GroovyClassLoader delegate)

Method Detail

### addClasspath

    public void addClasspath(String path)

### addURL

    public void addURL(URL url)

### clearCache

    public void clearCache()

### findResource

    public URL findResource(String name)

### findResources

    public Enumeration findResources(String name)

### getLoadedClasses

    public Class[] getLoadedClasses()

### getResource

    public URL getResource(String name)

### getResourceAsStream

    public InputStream getResourceAsStream(String name)

### getResourceLoader

    public GroovyResourceLoader getResourceLoader()

### getTimeStamp

    public long getTimeStamp()

### getURLs

    public URL[] getURLs()

### loadClass

    public Class loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)

### parseClass

    public Class parseClass(GroovyCodeSource codeSource, boolean shouldCache)

### setResourceLoader

    public void setResourceLoader(GroovyResourceLoader resourceLoader)

Copyright © 2003-2010 The Codehaus. All rights reserved.